Bug 1118698 - Invalid bundle definition in RTGov & S-RAMP features.xml
Summary: Invalid bundle definition in RTGov & S-RAMP features.xml
Keywords:
Status: MODIFIED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Build Process, RT Governance, DT Governance
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: DR2
: FUTURE
Assignee: Julian Coleman
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 09:21 UTC by Stefan Bunciak
Modified: 2015-11-02 08:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker SRAMP-523 Major Closed GenerateFeaturesXmlMojo should prevent illegal chars in Bundle-Name 2014-08-07 14:57:52 UTC

Description Stefan Bunciak 2014-07-11 09:21:10 UTC
Description of problem:

Both S-RAMP & RTGov features.xml contains invalid bundle definition

<bundle>wrap:mvn:javax.activation/activation/1.1.1-redhat-2$Bundle-SymbolicName=javax.activation.activation&amp;Bundle-Version=1.1.1&amp;Bundle-Name=${extension.name} API v.${spec.version}</bundle>

Version-Release number of selected component (if applicable):

FSW 6.1 DR1

How reproducible:


Steps to Reproduce:
1. Unzip FSW 6.1 on top of fuse 6.1
2. Start fuse, execute commands:
3. features:addurl mvn:org.overlord.rtgov/overlord-rtgov-features-fuse6/2.0.0.Alpha1_1-redhat-1/xml/features
4. features:install -v rtgov-all

Actual results:

Error executing command: Invalid syntax for instruction [Bundle-Name=${extension.name} API v.${spec.version}]. Take a look at http://www.aqute.biz/Code/Bnd.


Expected results:

RTGov is installed correctly

Additional info:

Comment 1 Brett Meyer 2014-07-16 19:35:39 UTC
Cannot reproduce upstream.  Both S-RAMP and RTGov produce the following in the features:

<bundle>wrap:mvn:javax.activation/activation/1.1.1$Bundle-SymbolicName=javax.activation.activation&amp;Bundle-Version=1.1.1&amp;Bundle-Name=JavaBeans(TM) Activation Framework</bundle>

In your description, the Bundle-Name is changed to:

${extension.name} API v.${spec.version}

Where is that coming from?  Odds are, those variables are either not resolving, or include characters that trip-up BND.

Comment 2 Brett Meyer 2014-07-25 17:44:13 UTC
Improving our features.xml generation util.  If unresolved variables are found, we'll simply fall back to using the GAV for the Bundle-Name.

Comment 3 JBoss JIRA Server 2014-07-25 18:58:52 UTC
Brett Meyer <brmeyer@redhat.com> updated the status of jira SRAMP-523 to Resolved

Comment 5 JBoss JIRA Server 2014-07-29 16:42:11 UTC
Brett Meyer <brmeyer@redhat.com> updated the status of jira SRAMP-523 to Closed


Note You need to log in before you can comment on or make changes to this bug.